Subject: bug#59721: 30.0.50; tab bar groups are not ordered properly

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Nov 2022 21:38:28 +0200

close 59721 29.1
thanks

>>> Because just about anybody who'd use said display buffer action would
>>> find themselves in this predicament and that variable (and
>>> subsequently adding that function to it) is... unintuitive.
>>
>> So you suggest to make this value the default?  Ok, the default value
>> will be changed in the release branch.
>
> I feel it's what people expect to happen -- what do you think?

I was unsure about this, but now that you raised this question, I agree
it would be natural for people to expect their groups don't get
scattered over the whole tab bar.  So now this is changed in emacs-29.

Thanks for suggesting this before the next release, so we had a chance
not to postpone this improvement for another release cycle.